/*
 * ControllerOptions_MPQCCommandJob.hpp
 *
 *  Created on: Jun 6, 2012
 *      Author: heber
 */

#ifndef CONTROLLEROPTIONS_MPQCCOMMANDJOB_HPP_
#define CONTROLLEROPTIONS_MPQCCOMMANDJOB_HPP_


// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <boost/program_options.hpp>
#include <string>

#include "JobMarket/Controller/ControllerOptions.hpp"
#include "JobMarket/types.hpp"

struct ControllerOptions_MPQCCommandJob : public ControllerOptions
{
  int parseExecutable(boost::program_options::variables_map &vm);
  int parseFragmentpath(boost::program_options::variables_map &vm);
  int parseJobfiles(boost::program_options::variables_map &vm);
  int parseIds(boost::program_options::variables_map &vm);

  std::string executable;
  std::string fragmentpath;
  std::vector<std::string> jobfiles;
  std::vector<JobId_t> ids;
};




#endif /* CONTROLLEROPTIONS_MPQCCOMMANDJOB_HPP_ */
